# __gnu_parallel::pseudo_sequence_iterator< T, _DifferenceTp > Class Template Reference

List of all members.

## Detailed Description

### template<typename T, typename _DifferenceTp>
class __gnu_parallel::pseudo_sequence_iterator< T, _DifferenceTp >

Iterator associated with __gnu_parallel::pseudo_sequence. If features the usual random-access iterator functionality.

Parameters:

  | T | Sequence value type.
  | difference_type | Sequence difference type.

Definition at line 345 of file base.h.

## Public Types

- typedef _DifferenceTp difference_type

## Public Member Functions

- const T & operator * () const
- difference_type operator!= (const type &i2)
- const type operator++ (int)
- type & operator++ ()
- difference_type operator- (const type &i2)
- bool operator== (const type &i2)
- const T & operator[] (difference_type) const
- pseudo_sequence_iterator (const T &val, difference_type pos)

The documentation for this class was generated from the following file:

- base.h